

% Domain: Rover, Problem: roverprob1234
% 
% 
% OBJECTS  >>>>>
typedobject( mode( high_res ) ).
typedobject( camera( camera0 ) ).
typedobject( store( rover0store ) ).
typedobject( mode( colour ) ).
typedobject( waypoint( waypoint2 ) ).
typedobject( waypoint( waypoint3 ) ).
typedobject( waypoint( waypoint0 ) ).
typedobject( waypoint( waypoint1 ) ).
typedobject( objective( objective1 ) ).
typedobject( objective( objective0 ) ).
typedobject( rover( rover0 ) ).
typedobject( lander( general ) ).
typedobject( mode( low_res ) ).
% <<<<<  OBJECTS
% 

% 
% 
% DOMAIN PREDICATES  >>>>>
holds( store_of( rover0store,rover0 ) ).
holds( visible_from( objective0,waypoint2 ) ).
holds( can_traverse( rover0,waypoint3,waypoint0 ) ).
holds( visible( waypoint1,waypoint0 ) ).
holds( on_board( camera0,rover0 ) ).
holds( visible( waypoint3,waypoint0 ) ).
holds( visible( waypoint3,waypoint1 ) ).
holds( visible( waypoint0,waypoint3 ) ).
holds( can_traverse( rover0,waypoint1,waypoint3 ) ).
holds( equipped_for_imaging( rover0 ) ).
holds( calibration_target( camera0,objective1 ) ).
holds( visible_from( objective0,waypoint1 ) ).
holds( visible_from( objective1,waypoint0 ) ).
holds( equipped_for_rock_analysis( rover0 ) ).
holds( visible_from( objective1,waypoint1 ) ).
holds( equipped_for_soil_analysis( rover0 ) ).
holds( can_traverse( rover0,waypoint1,waypoint2 ) ).
holds( can_traverse( rover0,waypoint2,waypoint1 ) ).
holds( supports( camera0,colour ) ).
holds( at_lander( general,waypoint0 ) ).
holds( can_traverse( rover0,waypoint0,waypoint3 ) ).
holds( visible_from( objective0,waypoint0 ) ).
holds( visible_from( objective0,waypoint3 ) ).
holds( visible( waypoint3,waypoint2 ) ).
holds( can_traverse( rover0,waypoint3,waypoint1 ) ).
holds( visible( waypoint2,waypoint3 ) ).
holds( visible( waypoint1,waypoint2 ) ).
holds( visible( waypoint2,waypoint0 ) ).
holds( visible( waypoint1,waypoint3 ) ).
holds( visible( waypoint2,waypoint1 ) ).
holds( supports( camera0,high_res ) ).
holds( visible( waypoint0,waypoint2 ) ).
holds( visible_from( objective1,waypoint2 ) ).
holds( visible( waypoint0,waypoint1 ) ).
holds( visible_from( objective1,waypoint3 ) ).
% <<<<<  DOMAIN PREDICATES
% 

% 
% 
% INIT  >>>>>
init( at_soil_sample( waypoint2 ) ).
init( at( rover0,waypoint3 ) ).
init( at_rock_sample( waypoint3 ) ).
init( at_soil_sample( waypoint3 ) ).
init( channel_free( general ) ).
init( empty( rover0store ) ).
init( available( rover0 ) ).
init( at_rock_sample( waypoint2 ) ).
init( at_soil_sample( waypoint0 ) ).
init( at_rock_sample( waypoint1 ) ).
% <<<<<  INIT
% 

% 
% 
% GOAL  >>>>>
goal( communicated_soil_data( waypoint2 ),true ).
goal( communicated_rock_data( waypoint3 ),true ).
goal( communicated_image_data( objective1,high_res ),true ).
% <<<<<  GOAL
% 

