

% Domain: Rover, Problem: roverprob4123
% 
% 
% OBJECTS  >>>>>
typedobject( waypoint( waypoint2 ) ).
typedobject( mode( low_res ) ).
typedobject( waypoint( waypoint5 ) ).
typedobject( store( rover0store ) ).
typedobject( waypoint( waypoint3 ) ).
typedobject( waypoint( waypoint0 ) ).
typedobject( lander( general ) ).
typedobject( rover( rover2 ) ).
typedobject( rover( rover0 ) ).
typedobject( rover( rover1 ) ).
typedobject( waypoint( waypoint1 ) ).
typedobject( mode( high_res ) ).
typedobject( camera( camera0 ) ).
typedobject( camera( camera1 ) ).
typedobject( mode( colour ) ).
typedobject( objective( objective1 ) ).
typedobject( store( rover2store ) ).
typedobject( objective( objective0 ) ).
typedobject( store( rover1store ) ).
typedobject( waypoint( waypoint4 ) ).
% <<<<<  OBJECTS
% 

% 
% 
% DOMAIN PREDICATES  >>>>>
holds( store_of( rover0store,rover0 ) ).
holds( can_traverse( rover1,waypoint4,waypoint3 ) ).
holds( store_of( rover1store,rover1 ) ).
holds( equipped_for_rock_analysis( rover2 ) ).
holds( can_traverse( rover2,waypoint0,waypoint1 ) ).
holds( can_traverse( rover2,waypoint0,waypoint4 ) ).
holds( visible( waypoint2,waypoint0 ) ).
holds( can_traverse( rover0,waypoint4,waypoint0 ) ).
holds( calibration_target( camera1,objective1 ) ).
holds( can_traverse( rover0,waypoint2,waypoint5 ) ).
holds( equipped_for_soil_analysis( rover0 ) ).
holds( can_traverse( rover2,waypoint5,waypoint2 ) ).
holds( can_traverse( rover0,waypoint2,waypoint3 ) ).
holds( can_traverse( rover0,waypoint5,waypoint2 ) ).
holds( can_traverse( rover1,waypoint3,waypoint2 ) ).
holds( visible_from( objective1,waypoint1 ) ).
holds( visible( waypoint3,waypoint0 ) ).
holds( can_traverse( rover2,waypoint2,waypoint5 ) ).
holds( visible( waypoint2,waypoint5 ) ).
holds( visible( waypoint1,waypoint5 ) ).
holds( supports( camera0,colour ) ).
holds( can_traverse( rover0,waypoint2,waypoint1 ) ).
holds( visible( waypoint5,waypoint4 ) ).
holds( can_traverse( rover0,waypoint3,waypoint2 ) ).
holds( visible_from( objective0,waypoint1 ) ).
holds( can_traverse( rover1,waypoint3,waypoint4 ) ).
holds( equipped_for_soil_analysis( rover2 ) ).
holds( can_traverse( rover0,waypoint0,waypoint4 ) ).
holds( visible_from( objective1,waypoint2 ) ).
holds( visible( waypoint3,waypoint2 ) ).
holds( visible_from( objective0,waypoint0 ) ).
holds( can_traverse( rover2,waypoint0,waypoint3 ) ).
holds( visible_from( objective0,waypoint4 ) ).
holds( equipped_for_rock_analysis( rover1 ) ).
holds( visible_from( objective0,waypoint3 ) ).
holds( calibration_target( camera0,objective0 ) ).
holds( supports( camera1,high_res ) ).
holds( visible( waypoint5,waypoint1 ) ).
holds( can_traverse( rover1,waypoint1,waypoint0 ) ).
holds( visible( waypoint4,waypoint5 ) ).
holds( visible( waypoint1,waypoint0 ) ).
holds( can_traverse( rover2,waypoint5,waypoint4 ) ).
holds( visible_from( objective1,waypoint0 ) ).
holds( visible( waypoint5,waypoint0 ) ).
holds( equipped_for_imaging( rover0 ) ).
holds( visible( waypoint0,waypoint2 ) ).
holds( visible( waypoint2,waypoint1 ) ).
holds( visible( waypoint1,waypoint2 ) ).
holds( equipped_for_rock_analysis( rover0 ) ).
holds( can_traverse( rover2,waypoint1,waypoint0 ) ).
holds( can_traverse( rover1,waypoint0,waypoint5 ) ).
holds( can_traverse( rover0,waypoint1,waypoint2 ) ).
holds( visible( waypoint0,waypoint5 ) ).
holds( can_traverse( rover1,waypoint3,waypoint0 ) ).
holds( can_traverse( rover1,waypoint5,waypoint0 ) ).
holds( can_traverse( rover1,waypoint2,waypoint3 ) ).
holds( visible_from( objective0,waypoint2 ) ).
holds( can_traverse( rover2,waypoint4,waypoint5 ) ).
holds( can_traverse( rover2,waypoint3,waypoint0 ) ).
holds( on_board( camera1,rover2 ) ).
holds( visible_from( objective1,waypoint3 ) ).
holds( store_of( rover2store,rover2 ) ).
holds( visible( waypoint2,waypoint3 ) ).
holds( on_board( camera0,rover0 ) ).
holds( visible( waypoint0,waypoint1 ) ).
holds( visible( waypoint0,waypoint3 ) ).
holds( equipped_for_imaging( rover2 ) ).
holds( can_traverse( rover2,waypoint4,waypoint0 ) ).
holds( can_traverse( rover0,waypoint2,waypoint0 ) ).
holds( can_traverse( rover0,waypoint0,waypoint2 ) ).
holds( visible( waypoint3,waypoint4 ) ).
holds( can_traverse( rover1,waypoint0,waypoint3 ) ).
holds( visible( waypoint5,waypoint2 ) ).
holds( can_traverse( rover1,waypoint0,waypoint1 ) ).
holds( visible( waypoint4,waypoint3 ) ).
holds( supports( camera0,high_res ) ).
holds( visible( waypoint0,waypoint4 ) ).
holds( visible( waypoint4,waypoint0 ) ).
holds( at_lander( general,waypoint3 ) ).
% <<<<<  DOMAIN PREDICATES
% 

% 
% 
% INIT  >>>>>
init( empty( rover1store ) ).
init( available( rover0 ) ).
init( at_rock_sample( waypoint4 ) ).
init( at_soil_sample( waypoint1 ) ).
init( channel_free( general ) ).
init( available( rover2 ) ).
init( at_rock_sample( waypoint5 ) ).
init( empty( rover2store ) ).
init( at_rock_sample( waypoint2 ) ).
init( available( rover1 ) ).
init( empty( rover0store ) ).
init( at_rock_sample( waypoint3 ) ).
init( at( rover2,waypoint4 ) ).
init( at( rover0,waypoint2 ) ).
init( at_soil_sample( waypoint4 ) ).
init( at( rover1,waypoint3 ) ).
% <<<<<  INIT
% 

% 
% 
% GOAL  >>>>>
goal( communicated_soil_data( waypoint4 ),true ).
goal( communicated_soil_data( waypoint1 ),true ).
goal( communicated_rock_data( waypoint3 ),true ).
goal( communicated_rock_data( waypoint2 ),true ).
goal( communicated_rock_data( waypoint4 ),true ).
goal( communicated_image_data( objective0,high_res ),true ).
% <<<<<  GOAL
% 

