

% Domain: satellite, Problem: strips-sat-x-1
% 
% 
% OBJECTS  >>>>>
typedobject( instrument( instrument1 ) ).
typedobject( instrument( instrument2 ) ).
typedobject( instrument( instrument0 ) ).
typedobject( mode( thermograph2 ) ).
typedobject( mode( infrared0 ) ).
typedobject( mode( infrared1 ) ).
typedobject( direction( planet5 ) ).
typedobject( direction( star4 ) ).
typedobject( direction( star7 ) ).
typedobject( direction( star6 ) ).
typedobject( direction( star0 ) ).
typedobject( direction( planet3 ) ).
typedobject( direction( star2 ) ).
typedobject( direction( phenomenon8 ) ).
typedobject( satellite( satellite1 ) ).
typedobject( satellite( satellite0 ) ).
typedobject( direction( groundstation1 ) ).
typedobject( direction( phenomenon9 ) ).
% <<<<<  OBJECTS
% 

% 
% 
% DOMAIN PREDICATES  >>>>>
holds( supports( instrument1,thermograph2 ) ).
holds( supports( instrument1,infrared0 ) ).
holds( supports( instrument2,thermograph2 ) ).
holds( supports( instrument0,thermograph2 ) ).
holds( calibration_target( instrument2,star2 ) ).
holds( supports( instrument1,infrared1 ) ).
holds( on_board( instrument0,satellite0 ) ).
holds( on_board( instrument2,satellite1 ) ).
holds( calibration_target( instrument1,star2 ) ).
holds( supports( instrument2,infrared1 ) ).
holds( on_board( instrument1,satellite1 ) ).
holds( supports( instrument0,infrared0 ) ).
holds( calibration_target( instrument0,star0 ) ).
% <<<<<  DOMAIN PREDICATES
% 

% 
% 
% INIT  >>>>>
init( pointing( satellite0,star6 ) ).
init( power_avail( satellite1 ) ).
init( power_avail( satellite0 ) ).
init( pointing( satellite1,star0 ) ).
% <<<<<  INIT
% 

% 
% 
% GOAL  >>>>>
goal( pointing( satellite1,planet5 ),true ).
goal( have_image( planet3,infrared1 ),true ).
goal( have_image( star4,infrared1 ),true ).
goal( have_image( planet5,thermograph2 ),true ).
goal( have_image( star6,infrared1 ),true ).
goal( have_image( star7,infrared0 ),true ).
goal( have_image( phenomenon8,thermograph2 ),true ).
goal( have_image( phenomenon9,infrared0 ),true ).
% <<<<<  GOAL
% 

